dnl Zebra, Index Data Aps, 1995-2003
-dnl $Id: configure.in,v 1.83 2003-09-16 12:18:24 adam Exp $
+dnl $Id: configure.in,v 1.84 2003-09-24 11:45:44 adam Exp $
dnl
AC_INIT(include/zebraver.h)
AM_INIT_AUTOMAKE(idzebra,1.3.12)
yazflag=""
fi
YAZ_INIT($yazflag)
-if echo "$YAZINC"|grep YAZ_POSIX_THREADS=1 >/dev/null; then
- AM_CONDITIONAL(ISTHR,true)
-else
- AM_CONDITIONAL(ISTHR,false)
-fi
dnl ------ Look for Tcl
dnl See if user has specified location of tclConfig.sh; otherwise
dnl see if tclConfig.sh exists in same prefix lcoation as tclsh; otherwise
#!/bin/sh
-../../index/zebraidx init
-../../index/zebraidx update g.rec
+LOG=test1.log
+../../index/zebraidx -l $LOG init
+../../index/zebraidx -l $LOG update g.rec
#!/bin/sh
-if ../../index/zebraidx -V|grep Tcl >/dev/null; then
- ../../index/zebraidx init
- ../../index/zebraidx -s -t grs.tcl.m update m.rec | grep tag:dc:subject >/dev/null
+LOG=test2.log
+if ../../index/zebraidx -l $LOG -V|grep Tcl >/dev/null; then
+ ../../index/zebraidx -l $LOG init
+ ../../index/zebraidx -l $LOG -s -t grs.tcl.m update m.rec | grep tag:dc:subject >/dev/null
else
exit 0
fi
-# $Id: Makefile.am,v 1.15 2003-05-21 14:39:22 adam Exp $
+# $Id: Makefile.am,v 1.16 2003-09-24 11:45:44 adam Exp $
dist-hook:
-mkdir $(distdir)/records
cp $(srcdir)/records/*.grs $(distdir)/records
-# stop03.sh only works when Zebra is using threads.
-if ISTHR
-testscripts_thread = stop03.sh
-else
-testscripts_thread =
-endif
-
check_SCRIPTS = stop01.sh stop02.sh stop03.sh stop04.sh \
test1.sh test2.sh timing1.sh timing2.sh
-TESTS = stop01.sh stop02.sh $(testscripts_thread) stop04.sh \
- test1.sh test2.sh timing1.sh timing2.sh
+TESTS = $(check_SCRIPTS)
EXTRA_DIST = zebra1.cfg zebra2.cfg $(check_SCRIPTS)
#!/bin/sh
-# $Id: stop03.sh,v 1.5 2003-05-24 22:34:48 adam Exp $
+# $Id: stop03.sh,v 1.6 2003-09-24 11:45:44 adam Exp $
# test start and stop of the threaded server (-T)
LOG=stop03.log
echo "Starting server with -T (threaded)..." >>$LOG
(
- ../../index/zebrasrv -T -c zebra1.cfg -l $LOG tcp:@:9901 ||
+ ../../index/zebrasrv -T -c zebra1.cfg -l $LOG tcp:@:9901 2>out ||
echo "server failed with $?" > $LOG
)&
sleep 1
+if grep 'not available' out >/dev/null; then
+ test -f zebrasrv.pid && rm zebrasrv.pid
+ exit 0
+fi
echo " checking that it runs... " >>$LOG
test -f zebrasrv.pid || exit 1
PID=`cat zebrasrv.pid`
#!/bin/sh
-../../index/zebraidx init
-../../index/zebraidx update f1.xml
+LOG=test1.log
+../../index/zebraidx -l $LOG init
+../../index/zebraidx -l $LOG update f1.xml
#!/bin/sh
-# $Id: test1.sh,v 1.4 2003-09-05 12:33:39 adam Exp $
+# $Id: test1.sh,v 1.5 2003-09-24 11:45:44 adam Exp $
ulimit -c 10000
-set -x
LOG=test1.log
rm -fr lock
mkdir lock
echo "Tests FAILED"
exit 9
fi
-echo OK
exit 0